Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

I can get this installed


topazio

Recommended Posts

Hi everyone I'm trying to reinstall oscommerce into my webspace but when I try to go to www.mysite.com/install I see this error:

 

 FATAL ERROR: register_globals is disabled in php.ini, please enable it!

 

I enabled it via htacces and via php.ini but it doesn't work.

 

How can I do???

 

Thanks

Link to comment
Share on other sites

Interesting. I had this same problem using XAMPP package. I changed php.ini to register_globals = On, but it didn't make the error go away. So I switched to the WAMP package. WAMP allows you to switch on register_globals from a menu (rather than manually modifying the php.ini file), and that worked. Don't know what WAMP did that I wasn't doing with XAMPP.

 

Strange.

 

I'd be curious to hear any further explanation of this problem, because eventually I need to switch back to XAMPP. WAMP does not support SSL, so I can not work with the secure (SSL) features of this storefront using WAMP.

 

- John Strong ([email protected])

Link to comment
Share on other sites

BTW, the links provided by Chris Smith provide a real solution to the problem, but I'm still interested in understanding why the fix to php.ini works in WAMP but not XAMPP, if anyone knows.

 

 

http://www.oscommerce.com/community/contributions,2097

 

http://www.oscommerce.com/forums/index.php?showtopic=228373

 

http://www.oscommerce.com/community/contributions,4541

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...